# Poco

# template < typename TArgs >

# class AccessExpirationDecorator

Library: Foundation
Package: Events
Header: Poco/AccessExpirationDecorator.h

## Description

AccessExpirationDecorator adds an expiration method to values so that they can be used with the UniqueAccessExpireCache

## Member Summary

Member Functions: getTimeout, value

## Constructors

### AccessExpirationDecorator

AccessExpirationDecorator();

### AccessExpirationDecorator

AccessExpirationDecorator(
const TArgs & p,
const Poco::Timespan::TimeDiff & diffInMs
);

Creates an element that will expire in diff milliseconds

### AccessExpirationDecorator

AccessExpirationDecorator(
const TArgs & p,
const Poco::Timespan & timeSpan
);

Creates an element that will expire after the given timeSpan

## Destructor

### ~AccessExpirationDecorator

~AccessExpirationDecorator();

## Member Functions

### getTimeout

const Poco::Timespan & getTimeout() const;

### value

const TArgs & value() const;

### value

TArgs & value();